<?xml version="1.0" standalone="yes"?>
<SERVERPAGES>
#if CS || HP || US || SO
#if HP
	<!-- The Default link at the Base Tag will be used when a Request could not be resolved -->
	<BASE ALIAS="/Flash/Simatic/WebContent" READ="Default" WRITE="__SYSTEM__">
		<!-- Every User of our system is in the Group "Default" -->
		<!-- Filesystem access -->
		<files ALIAS="/Flash/Simatic/WebContent" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<www ALIAS="/Flash/Simatic/WebContent" READ="Default"/>
		<StorageCard ALIAS="/Storage Card" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<StorageCard2 ALIAS="/Storage Card2" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<StorageCardCF ALIAS="/Storage Card CF" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<StorageCardMMC ALIAS="/Storage Card MMC" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<StorageCardSD ALIAS="/Storage Card SD" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<StorageCardUSB ALIAS="/Storage Card USB" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<SD_X51 ALIAS="/SD_X51" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<USB_X61 ALIAS="/USB_X61" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<Images ALIAS="/Flash/Simatic/WebContent/Images" READ="Default"/>
		<Temp ALIAS="/Temp" READ="FileBrowserUser" WRITE="FileBrowserAdministrator"/>
		<ExportTemp ALIAS="/Temp/ExportTemp" READ="UserData" WRITE="UserData"/>
		<MyDocuments ALIAS="/My Documents" READ="FileBrowserUser"/>
#else
	<BASE READ="Default" WRITE="__SYSTEM__">
#endif
#if SO
		<WebServices ALIAS="/Flash/Simatic/WebServices" READ="Default"/>
#endif
	</BASE>
	<SERVEROPTIONS>
		<!-- The following section contains the server options    -->
		<!-- The Document which is searched for by default, if    -->
		<!-- there is only a directory path referenced by the URL -->
		<DEFAULTDOCUMENT VALUE="start.html"/>
		<!-- configuration of valid hostnames for certain addresses -->
		<SSL-SERVER>
			<SERVER-CERTIFICATES Store="ServerCerts"  GenericCert=":=HostName:" Template="SSLServerCerts"/>
		</SSL-SERVER>
		<SERVERS>
			<LISTEN Address="any" Port="0" Family="HTTP" Id="primary-http">
				<HOST IgnoreCase="true" FQDN="*" />
			</LISTEN>
			<LISTEN Address="any" Port="0" Family="HTTPS" Id="primary-https" IsSslServer="true">
				<HOST IgnoreCase="true" FQDN="*" />
			</LISTEN>
		</SERVERS>
	</SERVEROPTIONS>
	<HEADERS>
		<EXTENSION Value="css" ICON="/Images/www.gif">
			<HEADER Name="Content-Type" Value="text/css; charset=utf-8"/>
		</EXTENSION>
		<EXTENSION Value="htm" ICON="/Images/www.gif">
			<HEADER Name="Content-Type" Value="text/html; charset=utf-8"/>
		</EXTENSION>
		<EXTENSION Value="html" ICON="/Images/www.gif">
			<HEADER Name="Content-Type" Value="text/html; charset=utf-8"/>
		</EXTENSION>
		<EXTENSION Value="mwsl" ICON="/Images/www.gif">
			<HEADER Name="Content-Type" Value="text/html; charset=utf-8"/>
		</EXTENSION>
		<EXTENSION Value="wsdl" ICON="/Images/www.gif">
			<HEADER Name="Content-Type" Value="text/xml; charset=utf-8"/>
		</EXTENSION>
		<EXTENSION Value="txt" ICON="/Images/www.gif">
			<HEADER Name="Content-Type" Value="text/plain; charset=utf-8"/>
		</EXTENSION>
		<EXTENSION Value="doc" ICON="/Images/Word.gif"/>
		<EXTENSION Value="xls" ICON="/Images/Image.gif"/>
		<EXTENSION Value="xml" ICON="/Images/www.gif"/>
		<EXTENSION Value="png" ICON="/Images/Image.gif">
			<HEADER Name="Content-Type" Value="image/png"/>
			<HEADER Name="Cache-Control" Value="max-age=31536000"/>
		</EXTENSION>
		<EXTENSION Value="jpg" ICON="/Images/Image.gif">
			<HEADER Name="Content-Type" Value="image/jpeg"/>
			<HEADER Name="Cache-Control" Value="max-age=31536000"/>
		</EXTENSION>
		<EXTENSION Value="jpeg" ICON="/Images/Image.gif">
			<HEADER Name="Content-Type" Value="image/jpeg"/>
			<HEADER Name="Cache-Control" Value="max-age=31536000"/>
		</EXTENSION>
		<EXTENSION Value="gif" ICON="/Images/Image.gif">
			<HEADER Name="Content-Type" Value="image/gif"/>
			<HEADER Name="Cache-Control" Value="max-age=31536000"/>
		</EXTENSION>
		<EXTENSION Value="tgz" ICON="/Images/Zip.gif"/>
		<EXTENSION Value="rar" ICON="/Images/Zip.gif"/>
		<EXTENSION Value="zip" ICON="/Images/Zip.gif"/>
		<EXTENSION Value="mpg" ICON="/Images/Image.gif"/>
		<EXTENSION Value="wmv" ICON="/Images/Image.gif"/>
		<EXTENSION Value="mov" ICON="/Images/Image.gif"/>
		<EXTENSION Value="ram" ICON="/Images/Image.gif"/>
		<EXTENSION Value="avi" ICON="/Images/Image.gif"/>
		<EXTENSION Value="directory" ICON="/Images/Directory.gif">
			<HEADER Name="Content-Type" Value="text/html; charset=utf-8"/>
		</EXTENSION>
		<EXTENSION Value="trashbin" ICON="/Images/Trash.gif">
			<HEADER Name="Content-Type" Value="none/none"/>
		</EXTENSION>
		<EXTENSION Value="csv" ICON="/Images/File.gif">
			<HEADER Name="Content-Disposition" Value="attachment"/>
			<HEADER Name="Pragma" Value="no-cache"/>
		</EXTENSION>
		<EXTENSION Value="pwl" ICON="/Images/File.gif">
			<HEADER Name="Content-Type" Value="application/octet-stream"/>
			<HEADER Name="Content-Disposition" Value="attachment"/>
			<HEADER Name="Pragma" Value="no-cache"/>
		</EXTENSION>
		<EXTENSION Value="rdb" ICON="/Images/File.gif">
			<HEADER Name="Content-Type" Value="application/octet-stream"/>
			<HEADER Name="Content-Disposition" Value="attachment"/>
			<HEADER Name="Pragma" Value="no-cache"/>
		</EXTENSION>
		<PATH Value="*" ICON="/Images/File.gif">
			<HEADER Name="Content-Type" Value="application/octet-stream"/>
		</PATH>
	</HEADERS>
	<LIBRARIES>
		<LIBRARY LOADPATH="HmiWebLink.dll">
			<SERVICE NAME="HmiWebLink"/>
		</LIBRARY>
		<LIBRARY LOADPATH="wwwSiemens.dll">
			<APPLICATION NAME="wwwSiemens">
				<URL BASE="/wwwSiemens"/>
			</APPLICATION>
		</LIBRARY>
#if SO
		<!-- SoapService provides a WebService Service. -->
		<LIBRARY LOADPATH="MWEB_SOAP_Service.dll">
			<SERVICE NAME="SoapService" />
		</LIBRARY>
		<LIBRARY LOADPATH="RuntimeAccess_SOAP.dll">
			<WEBSERVICE NAME="RuntimeAccess" 	
						WSDL="/WebServices/RuntimeAccess.wsdl"
						URL="/soap/RuntimeAccess" 
						REALM="SoapUser"
			/>
		</LIBRARY>
#endif
#if US
		<LIBRARY LOADPATH="MWEB_OpcUa_StackService.dll">
			<SERVICE NAME="OPCUASTACK"/>
		</LIBRARY>
		<LIBRARY LOADPATH="MWEB_AddressModeller.dll">
			<SERVICE NAME="AddressModeller"/>
		</LIBRARY>
		<LIBRARY LOADPATH="MWEB_UaSupport.dll">
			<SERVICE NAME="UaSupport"/>
		</LIBRARY>
		<LIBRARY LOADPATH="MWEB_HashTable.dll">
			<SERVICE NAME="HashTable"/>
		</LIBRARY>
		<LIBRARY LOADPATH="MWEB_DataAccess.dll">
			<SERVICE NAME="DataAccess"/>
		</LIBRARY>
		<!-- Wrapper for dump provider to make them a smart provider -->
		<LIBRARY LOADPATH="MWEB_BaseNodeProvider.dll">
			<SERVICE NAME="BaseNodeProvider"/>
		</LIBRARY>
		<LIBRARY LOADPATH="MWEB_Smartifier_Srvc.dll">
			<SERVICE NAME="Smartifier"/>
		</LIBRARY>
		<LIBRARY LOADPATH="MWEB_Subscription.dll">
			<SERVICE NAME="SubscriptionSrvc"/>
		</LIBRARY>
		<!-- OPC UA Port Layer is needed by the OPC UA Application and the OPC UA Stack -->
		<LIBRARY LOADPATH="MWEB_OpcUa_Portlayer_Service.dll">
			<SERVICE NAME="UAPORT"/>
		</LIBRARY>
		<!-- OPC UA Application -->
		<LIBRARY LOADPATH="MWEB_OpcUa_Application.dll">
			<SERVICE NAME="OPCUA"/>
		</LIBRARY>
#endif
	</LIBRARIES>
	<!-- the following section contains the special configuration data of the loaded    -->
	<!-- modules.                                                                       -->
	<CONFIGURATION_DATA>
		<AuthForm>
			<LoginPage Path="/Templates/Loginpage.html"/>
			<ResponsePage Path="/MiniWeb/FormAuthResponse.mwsl"/>
			<LogoutResponsePage Path="/MiniWeb/FormAuthResponse.mwsl"/>
		</AuthForm>
		<BaseNodeProvider ImportFile="OPC_UA:MWEB_BNP_BaseModel_HMI.xml"/>
		<!-- The entry of the address modeller takes the following attributes:-->
		<!-- - DefaultLocale is the locale that shall be used when no information about a specific locale is available-->
		<!-- - LoadFile specifies the file to load the address model from-->
		<!-- - StoreFile specifies the file to store the address model to -->
		<AddressModeller DefaultLocale="en" CompileXmlOnLoad="true" StorePrefixLen="false"/>
		<!-- PKI is Part of the CSSA Package of the AddOn_Vob -->
		<PKI>
			<CACERTIFICATES CaCert="cacert.pem" CaKey="cakey.pem"/>
		</PKI>
    <!-- Section for customizing File Browsing -->
    <DEFAPP>
      <DIRHEAD>
        <![CDATA[
        <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 
          <HTML>
            <HEAD>
              <TITLE>
                MiniWeb Directory Browser
              </TITLE>
              <META HTTP-EQUIV="content-type" content="text/html; charset=UTF-8">  <!-- ISO-8859-1 oder UTF-8 -->
              <META HTTP-EQUIV="expires" content="-1">
              <META HTTP-EQUIV="pragma" content="no-cache">
              <META HTTP-EQUIV="cache-control" content="no-cache">
            </HEAD>
            <link rel="stylesheet" type="text/css" href="/CSS/MiniWeb.css">

		<body scroll="auto" BGCOLOR="#E9E9FC">  
		
		<table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#000053">
<tr>
<td width="129" height="76" valign="top"> <!-- Siemens Logo -->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td>
<img src="/Images/Siemens_Firmenmarke.gif" alt="Siemens" border="0"></td>
</tr>
</table>
</td>
<td>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td height="45"></td>
</tr>
<tr>
<td height="31" class="ad_headline1">
<font color="#ffffff"> <!-- font ist da, um bei einer Anzeige OHNE CSS nicht schwarz auf schwarz anzuzeigen -->
<span class="ad_headline1">
SIMATIC HMI Miniweb on :=HostName:
</span>
</font>
</td>
</tr>
</table>
</td>
<!-- rechter rand -->
<td width="33"></td>
</tr>
</table>


<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <!-- linke Spalte Navigationsbereich -->
    <td width="116" valign="top" bgcolor="#7f7fff">
    <table width="116" border="0" cellspacing="0" cellpadding="0">  
        <tr bgcolor="#b8b8ff"> 
    <td colspan="3" width="116" height="60" valign="top">
	<MWSL> 
	if (ShareRealm("NO_REALM"))
	{
		InsertFile("/Templates/LoginTempl.html");
	}
	else
	{
		InsertFile("/Templates/LogoutTempl.html");
	}
	
	function DirLine(filename, filesize, filetime, fileattributes, iconpath, destinationpath, trashbinpath)
	{
		write("<TR>\r\n");
		write("<TD>");
		write("<IMG SRC=\"" + iconpath + "\" OnClick='Open(\"");
		write(destinationpath);
		write("\")'>");
		write("</TD>\r\n");
		write("<TD>");
		write("<A href='");
		if (destinationpath != "")
			write(destinationpath + "?UP=TRUE&FORCEBROWSE");
		else
			write("/browse.html");
		write("'>");
		write(EncodeString(filename, "URL"));
		write("</A>");
		write("</TD>\r\n");
		write("<TD>");
		write(filesize);
		write("</TD>\r\n");
		write("<TD>");
		write(fileattributes);
		write("</TD>\r\n");
		write("<TD>");
		write(filetime);
		write("</TD>\r\n");
		if (ShareRealm("FileBrowserAdministrator"))
		{
			write("<TD>");
			if ((filename != ".") && (filename != ".."))
			{
				write("<IMG SRC=\"" + trashbinpath + "\" OnClick='Delete(\"");
				write(destinationpath);
				write("\")'>");
			}
			else
			{
				write("&nbsp;");
			}
			write("</TD>\r\n");
		}
		write("</TR>\r\n");
	}

	</MWSL> 
	</td>
  </tr>
      <tr><td colspan="3" height="19"></td></tr>
        <tr>
                <td width="8"></td>
                <td width="7"><img src="/Images/NaviPfeilblau.gif" alt="" border="0"></td>
                <td width="101" class="text_navi-tabelle"><a href="/start.html" class="text_navi-tabelle">Start page</a></td>
              </tr>
              <tr><td colspan="3" height="20"></td></tr>
              <tr> 
                <td width="8"></td>
                <td width="7"><img src="/Images/NaviPfeilblau.gif" alt="" border="0"></td>
                <td width="101" class="text_navi-tabelle"><a href="/RemoteControl.html" class="text_navi-tabelle">Remote Control</a></td>
              </tr>
              <tr><td colspan="3" height="20"></td></tr>
              <tr> 
                <td width="8"></td>
                <td width="7"><img src="/Images/NaviPfeilblau.gif" alt="" border="0"></td>
                <td width="101" class="text_navi-tabelle"><a href="/control.html" class="text_navi-tabelle">Control Functions</a></td>
              </tr>
              <tr><td colspan="3" height="20"></td></tr>
              <tr> 
                <td width="8"></td>
                <td width="7"><img src="/Images/NaviPfeilblau.gif" alt="" border="0"></td>
                <td width="101" class="text_navi-tabelle"><a href="/StatusDetails.html" class="text_navi-tabelle">System Diagnostics</a></td>
              </tr>
              <tr><td colspan="3" height="20"></td></tr>
              <tr> 
                  <td width="8"></td>
		  <td width="7"><img src="/Images/NaviPfeilweiss.gif" alt="" border="0"></td>
		  <td width="101" class="ad_nav_link_selected">File Browser</td>
              </tr>
            </table>
          </td>
     
	<!-- vertikaler Strich -->
	<td width="2" bgcolor="#000053">
	<table width="2" border="0" cellpadding="0" cellspacing="0">
	<tr><td width="2"></td></tr>
	</table>
	</td>

	<!-- rechte Spalte Inhaltsbereich (drei vertikale Teile: Titel, Sekundaernavigation, Infobereich-->
	<td valign="top" bgcolor="#e9e9fc">
	  <!-- Titel --> 
	  <table width="100%" bgcolor="#c0c0db" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	      <td width="11" height="7"></td>
	      <td width="33" height="7"></td>
	    </tr>
	    <tr>
	      <td width="11" height="46"></td>
	      <td>
	      <table width="100%" border="0" cellpadding="0" cellspacing="0">
	        <tr>
	          <td height="46" valign="top" class="ad_headline2">File Browser</td>
	          <td height="46" align="right">last update :=TimeStamp:</td>
	        </tr>
	      </table>
	      </td>
	    </tr>
	  </table>

	  <table><tr>
		<TD valign="baseline"><img src="/Images/R_Arrow.jpg" hspace="6"></td>
		<td valign="top"><U OnClick="history.back()" STYLE="cursor: hand;">Back to previous page
                  </U></TD>
		</tr></table>  <hr>
              <SCRIPT>
				function Open(What)
				{
					location.href = What != "" ? What + "?UP=TRUE&FORCEBROWSE" : "/browse.html";
				}
				function Delete(What)
				{
					if (window.confirm("Do you really want to delete this file"))
					{
						location.href = What + "?DELETE&UP=TRUE&SingleUseToken=" + encodeURIComponent(":=RawSingleUseToken:");
					}
				}
              </SCRIPT>
              <DIV STYLE="overflow:scroll; height='75%'; width='100%'; text-align:left; margin-left:10px; margin-top:15px">
		<font face="Tahoma" size="2">
                <TABLE>
                  <TR>
                    <TH CLASS="DIRACCESS">
                      :=EncodeString("%=DIRPATH%", "URL"):
                    </TH>
                  </TR>
                  <TR>
                    <TH>
                      &nbsp;
                    </TH>
                    <TH>
                      Name
                    </TH>
                    <TH>
                      Size
                    </TH>
                    <TH>
                      Attributes
                    </TH>
                    <TH>
                      Write Time
                    </TH>
                    <MWSL>
                      if (ShareRealm("FileBrowserAdministrator"))
                      {
                        write("            <TH>\r\n");
                        write("              Delete\r\n");
                        write("            </TH>\r\n");
                      };
                    </MWSL>

                    <TH>
                    </TH>
                  </TR>
          <MWSL>
          /* Beginning of MWSL fragment for DirLine() calls */
        ]]>
      </DIRHEAD>
      <DIRTAIL>
        <![CDATA[
          /* End of MWSL fragment for DirLine() calls */
          </MWSL>
          </table>
          </font>
          </DIV>
           <MWSL>
                  if (ShareRealm("FileBrowserAdministrator"))
                  {
                    var strAction = "%=DIRPATH%?FORCEBROWSE&UP=TRUE";
                    write(
    "                <HR>\r\n\
                       <TABLE width='100%'>\r\n\
                         <TR>\r\n\
                           <TD COLSPAN='2'>\r\n\
                             <FONT SIZE='4'>\r\n\
                               Directory Operations\
                             </FONT>\r\n\
                           </TD>\r\n\
                           <TD>\r\n\
                           </TD>\r\n\
                         </TR>\r\n\
                         <TR>\r\n\
                           <TD>\r\n\
                           </TD>\r\n\
                           <FORM METHOD='POST' ACTION='" + EncodeString("%=DIRPATH%", "URL") + "?FORCEBROWSE&UP=TRUE' ENCTYPE='multipart/form-data'>\r\n\
                             <TD WIDTH='200'>\r\n\
                               <INPUT TYPE='submit' VALUE='Upload File' STYLE='{width:200;}'>\r\n\
                             " + GetVar("FormSecToken") + "</TD>\r\n\
                             <TD>\r\n\
                               <INPUT TYPE='file' NAME='file' SIZE='30' MAXLENGTH='80'>\r\n\
                             </TD>\r\n\
                             <TD>\r\n\
                             </TD>\r\n\
                           </FORM>\r\n\
                         </TR>\r\n\
                         <TR>\r\n\
                           <TD>\r\n\
                           </TD>\r\n\
                           <FORM ENCTYPE='text/plain' METHOD='GET' ACTION='" + strAction + "'>\r\n\
                             <TD>\r\n\
                               <INPUT TYPE='submit' VALUE='MKDir' STYLE='{width:200;}'>\r\n\
                             </TD>\r\n\
                             <TD>\r\n\
                               <INPUT TYPE='TEXT' NAME='CreateDir' SIZE='30' MAXLENGTH='80'>\r\n\
                               <INPUT TYPE='HIDDEN' NAME='SingleUseToken' VALUE='" + GetVar("RawSingleUseToken") + "'>\r\n
                               <INPUT TYPE='HIDDEN' NAME='UP' VALUE='TRUE'>\r\n\
                             </TD>\r\n\
                             <TD>\r\n\
                             </TD>\r\n\
                           </FORM>\r\n\
                         </TR>\r\n\
                       </TABLE>\r\n\
                       <HR>\r\n");
             }
        </MWSL>
          </td>
	 </tr>
	</table>
           </BODY>
         </HTML>

        ]]>
      </DIRTAIL>
		<DIRLINE>
		<![CDATA[
			DirLine("%=FILENAME%", "%=FILESIZE%", "%=FILETIME%", "%=FILEATTRIBUTES%", "%=ICONPATH%", "%=DESTINATIONPATH%", "%=TRASHBINPATH%");
		]]>
		</DIRLINE>
      <LOADSUCCEED>
        <![CDATA[
          <HTML>
            <HEAD>
              <TITLE>
                MiniWeb Configuration successfully loaded
              </TITLE>
            </HEAD>
            <META HTTP-EQUIV="content-type" content="text/html; charset=UTF-8" />  <!-- ISO-8859-1 oder UTF-8 -->
            <LINK REL="stylesheet" TYPE="text/css" HREF="/CSS/MiniWeb.css">
            </LINK>

              <body BGCOLOR="#E9E9FC">
              <b><font style="font-size: 16px; color: #00005e; font-family: Arial, Helvetica, sans-serif;">
                MiniWeb Configuration successfully loaded.
              </font></b><br>
              <P>
                MiniWeb was rebooted automatically.
              </P>
              <H2>
                <A HREF="/" target="_top">Click here to return to entrance Page.</A>
              </H2>
            </BODY>
          </HTML>
        ]]>
      </LOADSUCCEED>
      <USERTRANSACTION_COMPLETE>
        <![CDATA[
          <HTML>
            <HEAD>
              <TITLE>
                User Operation Complete
              </TITLE>
              <META HTTP-EQUIV="content-type" content="text/html; charset=UTF-8">  <!-- ISO-8859-1 oder UTF-8 -->
              <META HTTP-EQUIV="expires" content="-1">
              <META HTTP-EQUIV="pragma" content="no-cache">
              <META HTTP-EQUIV="cache-control" content="no-cache">
            </HEAD>
            <BODY>
              <H1>User changed successfully.</H1>
              <SCRIPT>
                window.location.href="%=FORWARDURL%";
              </SCRIPT>
            </BODY>
          </HTML>
        ]]>
      </USERTRANSACTION_COMPLETE>
      <SENDCOMPLETE>
        <![CDATA[
          <HTML>
            <HEAD>
              <TITLE>
                File Operation Complete
              </TITLE>
              <META HTTP-EQUIV="content-type" content="text/html; charset=UTF-8">  <!-- ISO-8859-1 oder UTF-8 -->
            </HEAD>
            <LINK REL="stylesheet" TYPE="text/css" HREF="/CSS/MiniWeb.css">
            </LINK>
            <BODY>
              <SCRIPT>
                window.location.href="%=FORWARDURL%";
              </SCRIPT>
            </BODY>
          </HTML>
        ]]>
      </SENDCOMPLETE>
      <FORM_AUTH_RESPONSE>
		<![CDATA[
			<HTML>
				<HEAD>
					<TITLE>Auth Form Response</TITLE>
					<META http-equiv="refresh" content="0; url=%=Redirection%">
					<META http-equiv="content-type" content="text/html; charset=UTF-8">  <!-- ISO-8859-1 oder UTF-8 -->
				</HEAD>
				<BODY BGCOLOR="#E9E9FC">
					<A id='trap' href="%=Redirection%">Click Here</A> if you are not automatically redirected.
					<BR><BR>
					<A href="/control.html">Back to control page</A>
					<SCRIPT>
						<!-- The trap usually triggers when the download box pops up. -->
						trap.focus();
						trap.onblur = function()
						{
							if ("%=Redirection%".indexOf("?DownloadRecipe=") != -1)
								window.location.href="/ExportRecipes.html";
							else if ("%=Redirection%".indexOf("/Rt/FwxPath/pdata.pwl") != -1)
								window.location.href="/control.html";
						}
					</SCRIPT>
				</BODY>
			</HTML> 
		]]>
      </FORM_AUTH_RESPONSE>
    </DEFAPP>
		<!--   MWSL2 -->
		<MWSL2>
			<GLOBAL>
				<!-- on which file extensions does the MWSL App reacts  -->
				<!-- delimiter, start and end must be the '|' character -->
				<OPTION Name  = "Extensions"          Value = "|.js|.mwsl|.msl|.xml|.xsl|.tmpl|.tpl|.inc|.html|.htm|.wsdl|" />
				<!-- on which file extensions does the MWSL App reacts  -->
				<!-- delimiter, start and end must be the '|' character -->
				<OPTION Name  = "CompileExtensions"   Value = "|.js|.mwsl|.msl|.xsl|.tmpl|.tpl|.inc|.html|.htm|.wsdl|" />
				<OPTION Name  = "FileTypeHTML"        Value = "|.mwsl|.msl|.html|.htm|" />
				<OPTION Name  = "FileTypeJS"          Value = "|.js|" />
				<OPTION Name  = "FileTypeXML"         Value = "|.xml|.xsl|" />
				<OPTION Name  = "FileTypeCSS"         Value = "|.css|" />
				<OPTION Name  = "CompileLogLevel"     Value = "Info" />
				<OPTION Name  = "RuntimeLogLevel"     Value = "Info" />
			</GLOBAL>
		</MWSL2>
		<!--   Section for the SSL module   -->
		<SSL>
			<!-- select the allowed protocol range -->
			<!-- versions: 0: SSL 3.0,  1: TLS 1.0/SSL 3.1, 2: TLS 1.1, 3: TLS 1.2 -->
			<PROTOCOL-SETTINGS MinMinorVersion="1" MaxMinorVersion="3" />

			<!-- Define use of Diffie-Hellman key exchange, is always ephemeral, i.e. a temporay key per session -->
			<!-- Use:             enable use of Diffie-Hellmann key exchange  -->
			<!-- GeneratedParams: load DH params from file (e.g. DH_2048.pem), generate new params if file does not exist  -->
			<!-- Store:           where to store the DH params file       -->
			<!-- KeySize:         the size in bits of the primary key    -->
			<DH-SETTINGS Use="yes"  GeneratedParams="no" Store="DHParams" KeySize="2048" />

			<!-- Define use of Ellipcic Curve Diffie-Hellman key exchange -->
			<!-- Use:             enable use of Ellipcic Curve Diffie-Hellmann key exchange  -->
			<!-- KeySize:         the size in bits of the key    -->
			<ECDH-SETTINGS Use="yes"  KeySize="256"/>

			<!-- Certificate stores for the SSL server -->
			<!--
				 SERVER-CERTIFICATES: for authenticating the SSL server to remote clients,
									  with DefaultCert set, only one generic cert is used as servercert,
									  otherwise for each ip-address of the server a cert is generated.
									  (depending on config definition MWEB_SSL_USE_ALIASES a generic cert may contain )
									   all addresses within the subject alternate names extension)
										  <SERVER-CERTIFICATES Store="ServerCerts"
															   DefaultCert="MiniWeb_SSL"  // used as CN, no extension
															   Template="SSLServerCers">
									  a dedicated template provided the certificate params for the creation of the server certs,
									  one of the params may specify the CA-Cert to be used for signing the server-certs,
									  this CA-cert is also named mastercert.
				 CA-CERTIFICATES:     contains trusted client certs, to be used to verify the certs provided by remote clients
									  for client authentication (and once issued to the trustable clients):
									  1. self-signed certs (should not be created as CA)
									  2. CA-cert or intermediate CA-cert, the signed client certs need not be contained here
									  3. client certs signed by a CA-cert contained in a CA store
									  A cert may be specific for one client (and a login) or more than one or all clients.
				 CLIENT-CERTIFICATES: certs to be sent by the SSL client to the remote server for authenticating the client
			-->
			<!-- dedicated template for the server certificate params -->
			<!-- Select the cipher suites to be provided by SSL -->
			<!--    SortByStrength: sort by stength (OpenSSL sorts by hash size) or use the sorting as defined here, -->
			<!--                    e.g. sort by strength and performance -->
			<!--    ServerPrio:     let the server or the client decide which suite to use. -->
			<!-- complete list of cipher-suites: https://www.openssl.org/docs/man1.0.2/apps/ciphers.html -->
			<!--    DH         - Diffie-Hellmann Key exchange, same key for each session
					EDH,DHE    - Ephemeral Diffie-Hellmann key exchange, different key for each session
					ECDH,ECDHE - Elliptic curve (fixed/ephemeral) Diffie-Hellman kex exchange
					RSA        - RSA cert used for authentication, and for key exchange if not DH or DHE
			-->
			<CIPHER-SUITES SortByStrength="no" ServerPrio="yes">
				<CIPHER-SUITE Name="ECDHE-RSA-AES256-GCM-SHA384"    Use="yes" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="ECDHE-RSA-AES128-GCM-SHA256"    Use="yes" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="ECDHE-RSA-AES256-SHA384"        Use="yes" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="ECDHE-RSA-AES128-SHA256"        Use="yes" />    <!-- TLS 1.2 -->

				<CIPHER-SUITE Name="DHE-RSA-AES256-GCM-SHA384"      Use="yes" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="DHE-RSA-AES128-GCM-SHA256"      Use="yes" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="DHE-RSA-AES256-SHA256"          Use="yes" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="DHE-RSA-AES128-SHA256"          Use="yes" />    <!-- TLS 1.2 -->

				<CIPHER-SUITE Name="AES256-GCM-SHA384"              Use=":=AllowRSAKeyExchange:" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="AES256-SHA256"                  Use=":=AllowRSAKeyExchange:" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="AES128-GCM-SHA256"              Use=":=AllowRSAKeyExchange:" />    <!-- TLS 1.2 -->
				<CIPHER-SUITE Name="AES128-SHA256"                  Use=":=AllowRSAKeyExchange:" />    <!-- TLS 1.2 -->

				<CIPHER-SUITE Name="ECDHE-RSA-AES256-SHA"           Use="yes" />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="ECDHE-RSA-AES128-SHA"           Use="yes" />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="ECDHE-RSA-DES-CBC3-SHA"         Use="no"  />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="ECDHE-RSA-RC4-SHA"              Use="no"  />    <!-- SSL3, TLS1.0 -->

				<CIPHER-SUITE Name="DHE-RSA-AES256-SHA"             Use="yes" />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="DHE-RSA-AES128-SHA"             Use="yes" />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="EDH-RSA-DES-CBC3-SHA"           Use="no"  />    <!-- SSL3, TLS1.0 -->

				<CIPHER-SUITE Name="AES256-SHA"                     Use=":=AllowRSAKeyExchange:" />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="AES128-SHA"                     Use=":=AllowRSAKeyExchange:" />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="DES-CBC3-SHA"                   Use="no"  />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="SEED-SHA"                       Use="no"  />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="IDEA-CBC-SHA"                   Use="no"  />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="RC4-SHA"                        Use=":=AllowRSAKeyExchange:" />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="RC4-MD5"                        Use="no"  />    <!-- SSL3, TLS1.0 -->
				<CIPHER-SUITE Name="DES-CBC-SHA"                    Use="no"  />    <!-- SSL3, TLS1.0 -->
			</CIPHER-SUITES>
		</SSL>

		<!--   Section for Certstore.   -->
		<CERTSTORE>
			<!-- Certificate defaults (for cert generation)
			KeyLength:         Length of the keys to generate: 1024 or 2048, 4096
			Hash:              Hash function to use: SHA1 or MD5
			Country:           e.g. 'DE'
			Province:          e.g. 'Franconia'
			Locality:          e.g. 'Erlangen'
			Org:               Organization, e.g. 'Siemens AG'
			OrgUnit:           Organization Unit, e.g. 'Industry'
			Email:             E-Mail address, e.g. 'miniweb.industry@siemens.com'
			CommonName:        subject name for the cert, e.g. 'MyDefaultCert'
			Password :         Use an empty string for no password or delete the attribute.
			CA :               Filename of the certificate authority, or "selfsigned" for a selfsigned certificate
			CNisIP :           common name is ip address, to be set also in subject alternate name extension
			AsCA :             if false, a self-signed cert is created without signing capability (end entity)
							 default is true, cannot be changed for CA or IntermediateCA stores
			DNSNames:          blank separated list of DNS names to be added to the subject alternate name extension
			Certificate:       the filename for the certificate (without extension), default is same as common name
			non-specified values are taken from SERVEROPTIONS (defaults for cert creation)
			-->

			<!-- templates containing cert parameter definitions, templates may be assigned to stores -->
			<!-- default cert parameters for all stores are defined in <SERVEROPTIONS> -->

			<!-- template for store of SSL server certs (example entries)-->
			<TEMPLATE Name="SSLServerCerts">
				<CERTDATA
					AsCA="false"
				/>
			</TEMPLATE>

			<!-- template for creation of OPCUA certs -->
			<TEMPLATE Name="OPCUACerts">
				<CERTDATA
					AsCA="false"
				/>
			</TEMPLATE>
		</CERTSTORE>
		<!--   This is the configuration section for the OPC UA Application  -->
		<OPCUAAPPLICATION>
			<!-- contents of our generated certificates, see comment at config section of CERTSTORE -->
			<CERTDATA
				CommonName=""
				DC=""
			/>
			<KEYS
				Storename="OPCUACerts"
				PublicKey=":=HostName:"
			/>
			<SESSION TagAccess="0" MaxSessionCount="100"/>
			<BROWSE MaxNodesPerBrowse="50"/>
			<SUBSCRIPTION MinSamplingRate="100" MaxKeepAlive="20" MinPublishRate="1000"/>
			<!-- Targetprovider for node management services -->
			<NODEMANAGEMENT TargetProviderName="NodeManagementProvider"/>
			<BUILDINFO
				ProductName="WinCC RT Comfort Panel"
				ProductUri="urn:Siemens:Automation:WinCC:PanelRT"
				ManufacturerName="Siemens AG"
				SoftwareVersion=":=ProductVersion:"
				BuildNumber=":=FileVersion:"
			/>
			<APPLICATIONDESCRIPTION
				ApplicationUri="urn::=HostName::Siemens:Automation:WinCC:PanelRT"
				ApplicationNameLocale="en_en"
				ApplicationNameText="Siemens OPC UA Server for WinCC Panel RT"
				DNSNAME=":=HostName:"
			/>
			<IMPORTFILES
				SERVEROBJECT="OPC_UA:MWEB_ServerObject.xml"
				SERVEROBJECT_ADDS="OPC_UA:MWEB_ServerObject.xml"
			/>
		</OPCUAAPPLICATION>
		<Escaper LOCALLINK="Escaper:EscapeTable.xml"/>
	</CONFIGURATION_DATA>
	<HTTP_RESULT_CODES>
		<RESULT NAME="200" CODE="OK" LOCALLINK="/ErrorCodes/200_OK.html"/>
		<RESULT NAME="400" CODE="BAD REQUEST" LOCALLINK="/ErrorCodes/400_BAD_REQUEST.html"/>
		<RESULT NAME="400" CODE="SOAP INVALID REQUEST" SUBCODE="10" LOCALLINK="/ErrorCodes/400_BAD_REQUEST.html"/>
		<RESULT NAME="401" CODE="UNAUTHORIZED" LOCALLINK="/ErrorCodes/401_UNAUTHORIZED.html"/>
		<RESULT NAME="402" CODE="PAYMENT REQUIRED" LOCALLINK="/ErrorCodes/402_PAYMENT_REQUIRED.html"/>
		<RESULT NAME="403" CODE="FORBIDDEN" LOCALLINK="/ErrorCodes/403_FORBIDDEN.html"/>
		<RESULT NAME="404" CODE="NOT FOUND" LOCALLINK="/ErrorCodes/404_NOT_FOUND.html"/>
		<RESULT NAME="405" CODE="METHOD NOT ALLOWED"/>
		<RESULT NAME="409" CODE="CONFLICT"/>
		<RESULT NAME="412" CODE="PRECONDITION FAILED" LOCALLINK="/ErrorCodes/412_PRECONDITION_FAILED.html"/>
		<RESULT NAME="412" CODE="INVALID COMPILED FILE" SUBCODE="2" LOCALLINK="/ErrorCodes/412_2_INVALID_COMPILED_FILE.html"/>
		<RESULT NAME="413" CODE="REQUEST ENTITY TOO LARGE" LOCALLINK="/ErrorCodes/413_REQUEST_ENTITY_TOO_LARGE.html"/>
		<RESULT NAME="422" CODE="UNPROCESSABLE ENTITY"/>
		<RESULT NAME="423" CODE="LOCKED"/>
		<RESULT NAME="424" CODE="FAILED DEPENDENCY"/>
		<RESULT NAME="500" CODE="INTERNAL SERVER ERROR" LOCALLINK="/ErrorCodes/500_INTERNAL_SERVER_ERROR.html"/>
		<RESULT NAME="500" CODE="INTERNAL SERVER ERROR" SUBCODE="1" LOCALLINK="/ErrorCodes/500_1_MEMORY_ERROR.html"/>
		<RESULT NAME="500" CODE="INTERNAL SERVER ERROR" SUBCODE="8" LOCALLINK="/ErrorCodes/500_8_INTERNAL_ERROR.html"/>
		<RESULT NAME="500" CODE="INTERNAL SERVER ERROR" SUBCODE="9" LOCALLINK="/ErrorCodes/500_9_INVALID_PARAMETER.html"/>
		<RESULT NAME="500" CODE="INTERNAL SERVER ERROR" SUBCODE="10" LOCALLINK="/ErrorCodes/500_10_UNEXPECTED_CALL.html"/>
		<RESULT NAME="501" CODE="NOT IMPLEMENTED" LOCALLINK="/ErrorCodes/501_NOT_IMPLEMENTED.html"/>
		<RESULT NAME="503" CODE="SERVICE UNAVAILABLE" LOCALLINK="/ErrorCodes/503_SERVICE_UNAVAILABLE.html"/>
		<RESULT NAME="507" CODE="INSUFFICIENT STORAGE"/>
		<UNKNOWN CODE="INTERNAL SERVER ERROR">
		<![CDATA[<HTML><BODY>Server gives no specific Information to this Error code</BODY></HTML>
		]]>
		</UNKNOWN>
		<RESULT CODE="SERVICE UNAVAILABLE" LOCALLINK="/ErrorCodes/503_2_ANOTHER_SERVER_IS_UNAVAILABLE.html" NAME="503" SUBCODE="2">
		<LANGUAGE LOCALLINK="/ErrorCodes/503_2_ANOTHER_SERVER_IS_UNAVAILABLE.html" NAME="en"></LANGUAGE>
		</RESULT>
	</HTTP_RESULT_CODES>
#endif
</SERVERPAGES>
